Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BackgroundFill

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BackgroundFill

Direct Known Subclasses:
  `TdApi.BackgroundFillFreeformGradient`, `TdApi.BackgroundFillGradient`, `TdApi.BackgroundFillSolid`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.BackgroundFill extends TdApi.Object permits TdApi.BackgroundFillSolid, TdApi.BackgroundFillGradient, TdApi.BackgroundFillFreeformGradient
This class is an abstract base class. Describes a fill of a background.

## Constructor Summary

Constructors
Constructor
Description
`BackgroundFill()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BackgroundFill

public BackgroundFill()
Default class constructor.